#!/bin/bash

#开发测试环境第二个参数传入端口号，默认3030

env=$1
port=$2

if [ ! -n "$port" ]
then
  port="8055"
fi

if [ $env != "production" ]
then
  name="op_management_$port"
  isExist=`pm2 show $name`
  if [ -n "$isExist" ]
  then
    echo "$name 已存在，需要先删除"
    pm2 delete $name
    echo "$name 删除成功"
  fi

  PORT=$port NODE_ENV=$env pm2 start app.js --name $name --watch --node-args="--inspect"
  echo "NODE_ENV：$env"
  echo "PORT：$port"
  echo "PM2 App Name：$name"
fi

if [ $env == "development" ]
then
  pm2 logs $name
  echo "{\"pm2-logrotate\":{\"max_size\":\"524288000\",\"interval\":\"7\",\"retain\":\"10\"},\"module-db\":{\"pm2-logrotate\":true}}" > /root/.pm2/module_conf.json
  port=8055
  pm2 start pm2.json
fi