const API_INTERNAL_URI = require("../config.js").API_INTERNAL_URI;
const req = require("../utils/request").httpReq;
const controller_utils = require("./utils");

// 获取企业信息列表
exports.auditList = async (ctx) => {
    const url = `${API_INTERNAL_URI}/merchant/inner/audit_list`;
    const opts = {
        url,
        method: "POST",
        json: true,
        body: ctx.request.body,
    };
    ctx.body = JSON.stringify(await req(ctx, opts));
};

// 企业认证获取验证码
exports.sendCode = async (ctx) => {
    const url = `${API_INTERNAL_URI}/merchant/lifeinner/send_code`;
    const opts = {
        url,
        method: "POST",
        json: true,
        body: ctx.request.body,
    };
    ctx.body = await req(ctx, opts);
};

// 企业认证校验验证码
exports.checkCode = async (ctx) => {
    const url = `${API_INTERNAL_URI}/merchant/lifeinner/check_code`;
    const opts = {
        url,
        method: "POST",
        json: true,
        body: ctx.request.body,
    };
    ctx.body = await req(ctx, opts);
};

// 审核列表详情页回显信息列表
exports.getRecordInfo = async (ctx) => {
    const url = `${API_INTERNAL_URI}/merchant/inner/get_record_info`;
    const opts = {
        url,
        method: "POST",
        json: true,
        body: ctx.request.body,
    };
    let permission = await controller_utils.getUserPermission(ctx);
    permission = JSON.parse(permission);
    const request = await req(ctx, opts);
    if (permission.is_sensitive_data !== 1) {
        request.result.record.entterprise_image = null; // 营业执照照片
        request.result.record.legal_person = "********"; // 法人姓名
        request.result.record.legal_id_card = "********"; // 法人身份证号
        request.result.record.legal_validity_start_time = "********"; // 法人身份证开始时间
        request.result.record.legal_validity_end_time = "********"; // 法人身份证结束时间
        request.result.record.legal_front_id_card = null; // 法人身份证正面照
        request.result.record.legal_back_id_card = null; // 法人身份证反面照
        request.result.record.legal_id_card_hash = "********"; // 法人身份证哈希值
        request.result.record.enterprice_address = "********"; // 企业地址
        request.result.record.legal_issued_by = "********"; // 法人身份证地址
        request.result.record.legal_nationality = "********"; // 法人民族
        request.result.record.mobile = "********"; // 法人电话
        request.result.record.sensitiveWord = false; // 是否有查看敏感词权限
    } else {
        request.result.record.sensitiveWord = true; // 是否有查看敏感词权限
    }
    ctx.body = request;
};

// 历史提交审核日志详情页
exports.getLog = async (ctx) => {
    const url = `${API_INTERNAL_URI}/merchant/inner/get_log`;
    const opts = {
        url,
        method: "POST",
        json: true,
        body: ctx.request.body,
    };
    ctx.body = await req(ctx, opts);
};

// 企业资料审核
exports.postAudit = async (ctx) => {
    const url = `${API_INTERNAL_URI}/merchant/inner/audit`;
    const opts = {
        url,
        method: "POST",
        json: true,
        body: ctx.request.body,
    };
    ctx.body = await req(ctx, opts);
};
// 企业资料修改
exports.opBusinessUpdate = async (ctx) => {
    const url = `${API_INTERNAL_URI}/merchant/inner/op_business_update`;
    const opts = {
        url,
        method: "POST",
        json: true,
        body: ctx.request.body,
    };
    ctx.body = await req(ctx, opts);
};

// 商户上传营业执照信息
exports.postBusiness = async (ctx) => {
    const url = `${API_INTERNAL_URI}/merchant/inner/op_business_commit`;
    const opts = {
        url,
        method: "POST",
        json: true,
        body: ctx.request.body,
    };
    ctx.body = await req(ctx, opts);
};

// 商户信息代提交(op后台)
exports.opCommit = async (ctx) => {
    const url = `${API_INTERNAL_URI}/merchant/inner/op_commit`;
    const opts = {
        url,
        method: "POST",
        json: true,
        body: ctx.request.body,
    };
    ctx.body = await req(ctx, opts);
};
