const fs = require("fs");
const API_INTERNAL_URI = require("../config.js").API_INTERNAL_URI;
const reqOther = require("../utils/request").httpReqOther;
const FormData = require("form-data");
const http = require("http");
const GROUPMEAL_URI = require("../config.js").GROUPMEAL_URI;

exports.uploadPic = async (ctx, next) => {
    const url = `${API_INTERNAL_URI}/ksy/ks3apiunencrypt/ks3api_upload`;

    const {
        body: { type },
        files,
    } = ctx.request;
    console.log("type", type);
    const filePath = files.file.path;
    const file = fs.createReadStream(filePath);

    const form = new FormData();
    form.append("file", file);
    form.append("type", type);

    const opts = {
        method: "post",
        url: url,
        body: form,
        headers: form.getHeaders(),
    };

    ctx.body = await reqOther(opts);
};

exports.oldOrderExport = async (ctx) => {
    const { marketing_id, type } = ctx.query;
    // `${ENV}order/oldbackground/order_export?marketing_id=${eventId}&type=${type}`;
    const url = `${GROUPMEAL_URI}/order/oldbackground/order_export?marketing_id=${marketing_id}&type=${type}`;
    console.log("url", url);
    const options = new URL(url);

    let { buffer, res } = await requestPromise(options);
    const fileName = res.headers["content-disposition"].split("=")[1];

    ctx.set("Content-Type", "application/octet-stream");
    ctx.set("Content-Disposition", `attachment; filename=${fileName}`);

    ctx.body = buffer;
};

exports.orderExport = async (ctx) => {
    const { marketing_id, type } = ctx.query;
    const url = `${GROUPMEAL_URI}/order/background/order_export?marketing_id=${marketing_id}&type=${type}`;
    console.log("url", url);
    const options = new URL(url);

    let { buffer, res } = await requestPromise(options);
    const fileName = res.headers["content-disposition"].split("=")[1];

    ctx.set("Content-Type", "application/octet-stream");
    ctx.set("Content-Disposition", `attachment; filename=${fileName}`);

    ctx.body = buffer;
};

function requestPromise(options) {
    return new Promise(function (resolve, reject) {
        const req = http.request(options, function (res) {
            let { statusCode } = res;
            //返回不是200
            if (statusCode !== 200) {
                return reject(new Error("error"));
            }
            let arr = [];
            let len = 0;
            res.on("data", (chunk) => {
                len += chunk.length;
                arr.push(Buffer.from(chunk));
            });
            res.on("end", () => {
                //正确 success
                return resolve({
                    buffer: Buffer.concat(arr, len),
                    res,
                });
            });
        });

        //请求出错
        req.on("error", (err) => {
            return reject(err);
        });
        req.end();
    });
}
