// 系统顶栏header展示项
export const HEADER_CONFIG = {
    appName: "OP运营管理后台",
    logo: "http://si1.go2yd.com/get-image/0ZAJxXeZ6iu",
    menuItems: [
        {
            path: "/op/enterprise/certification",
            name: "企业认证管理",
            key: "enterprise",
        },
        {
            path: "/op/lifeNo",
            name: "生活号管理",
            key: "lifeNo",
        },
        {
            path: "/op/roleManageRole",
            name: "角色管理",
            key: "role",
        },
        {
            path: "/op/user",
            name: "用户管理",
            key: "user",
        },
    ],
    miscellaneous: {
        // 配置当用户头像不存在时使用的fallback头像图URL
        defaultAvatar: "//s.go2yd.com/a/thead_meiguoduizhang.png",
    },
};

/**
 * 模块对应的权限名称。
 * key需要与 「HEADER_CONFIG」 中的key对应。
 */
export const PAGEMODULE_PERMISSIONNAME = {
    enterprise: "enterprise_certification_management",
    lifeNo: "life_official_account_management",
    role: "role_management",
    user: "user_management",
};

export const PERMISSIONNAME_PAGEMODULE = (function () {
    const obj = {};
    for (let ele in PAGEMODULE_PERMISSIONNAME) {
        obj[PAGEMODULE_PERMISSIONNAME[ele]] = ele;
    }
    return obj;
})();

/**
 * 页面路由对应的权限名称。
 * router 用该配置做路由权限拦截。需要增加权限拦截的路由，需在此添加配置。
 */
export const PATH_PERMISSION_NAME = {
    "/op/enterprise/certification": "enterprise_certification_management",
    "/op/enterprise/audit": "enterprise_certification_management.audit",
    "/op/enterprise/establish": "enterprise_certification_management.create",
    "/op/lifeNo": "life_official_account_management",
    "/op/roleManageRole": "role_management",
    "/op/user": "user_management",
};
