import { createRouter, createWebHistory } from "vue-router";

import LifeNo from "../pages/Life-no/index.vue";
import LifeNoDetail from "../pages/Life-no/life-no-detail.vue";

import User from "../pages/User/userList";
// import UserDetail from "../pages/User/user-detail.vue";

// import AddRole from "../pages/Role/add-role.vue";
import ManageRole from "../pages/Role/manage-role";
// import ManageRole from "@/pages/Withdrawal/Role/manage-role.vue";
import RoleDetail from "../pages/Withdrawal/Role/role-detail.vue";
import goodsRouter from "./Goods/index";
import withdrawalRoutes from "./Withdrawal/index";
import groupmealRouters from "./Groupmeal/index";
import activityRouters from "./Activity/index";
import Login from "@/pages/Login/index"; //登录

const routes = [
    {
        path: "/op/login",
        name: "Login",
        component: Login,
    },
    {
        path: "/op/enterprise",
        redirect: "/op/enterprise/certification",
    },
    {
        path: "/op/404",
        name: "NotFound",
        component: () => import(/* webpackChunkName: "enterprise" */ "@/pages/Catch/notFound"),
    },
    {
        path: "/op/403",
        name: "Forbidden",
        component: () => import(/* webpackChunkName: "enterprise" */ "@/pages/Catch/forbidden"),
    },
    // 企业认证管理
    {
        path: "/op/enterprise/certification",
        name: "Certification",
        component: () => import(/* webpackChunkName: "enterprise" */ "@/pages/Enterprise/Certification"),
        meta: {
            requireAuth: true,
        },
    },
    {
        path: "/op/enterprise/audit",
        name: "Audit",
        component: () => import(/* webpackChunkName: "enterprise" */ "@/pages/Enterprise/Audit"),
        meta: {
            requireAuth: true,
        },
    },
    {
        path: "/op/enterprise/establish",
        name: "Establish",
        component: () => import(/* webpackChunkName: "enterprise" */ "@/pages/Enterprise/Establish"),
        meta: {
            requireAuth: true,
        },
    },
    //生活号管理
    {
        path: "/op/lifeNo",
        name: "LifeNo",
        component: LifeNo,
        meta: {
            requireAuth: true,
        },
    },
    {
        path: "/op/lifeNoDetail",
        name: "LifeNoDetail",
        component: LifeNoDetail,
    },
    //用户管理
    {
        path: "/op/user",
        name: "/op/User",
        component: User,
        meta: {
            requireAuth: true,
        },
    },
    {
        path: "/op/roleManageRole",
        name: "/op/ManageRole",
        component: ManageRole,
        meta: {
            requireAuth: true,
        },
    },
    {
        path: "/op/roleRoleDetail",
        name: "RoleDetail",
        component: RoleDetail,
    },
    // 商品管理路由
    ...goodsRouter,
    // 活动管理路由
    ...activityRouters,
    // 钱包审核
    ...withdrawalRoutes,
    ...groupmealRouters,
];

const router = createRouter({
    history: createWebHistory(),
    routes,
});

export default router;
