import axios from "@/utils/request";

// 获取商品分类项
export async function getGoodsList() {
    const res = await axios.get("/api/v1/get_goods_category_list");
    return res;
}
// 获取商品列表
export async function getList(params) {
    const res = await axios.get("/api/v1/goods/background/get_goods_list", {
        params,
    });
    return res;
}
// 商品上架
export async function putOnline(query) {
    const res = await axios.post("/api/v1/goods/background/online", {
        goods_spu_id: query,
    });
    return res;
}
// 商品下架
export async function putOffline(query) {
    const res = await axios.post("/api/v1/goods/background/offline", {
        goods_spu_id: query,
    });
    return res;
}
// 设置商品上架
export async function putOnlineSite(params) {
    const res = await axios.post("/api/v1/goods/background/putOnlineSite", params);
    return res;
}
// 获取商品详情列表
export async function getGoodsInfo(params) {
    const res = await axios.get("/api/v1/goods/background/get_goods_info", {
        params,
    });
    return res;
}
// 商品详情-审核通过
export async function postSuccess(query) {
    const res = await axios.post("/api/v1/goods/background/audit_pass", {
        goods_spu_id: query,
    });
    return res;
}
// 审核拒绝
export async function auditReject(query) {
    const res = await axios.post("/api/v1/goods/background/audit_reject", query);
    return res;
}
// 商品详情-检查商品名称是否重复
export async function checkGoodsName(params) {
    const res = await axios.post("/api/v1/goods/background/check_goods_name", params);
    return res;
}
// 获取门店表单
export async function getShopsList(params) {
    const res = await axios.get("/api/v1/shop/background/shop_list", { params });
    return res;
}
// 添加门店信息
export async function postAddShop(query) {
    const res = await axios.post("/api/v1/shop/background/add_shop", query);
    return res;
}

export async function editGoods(query) {
    const res = await axios.post("/api/v1/goods/background/edit_goods", query);
    return res;
}

// 获取营销活动列表
export async function getMarketingList(params) {
    const res = await axios.post("/api/v1/get_marketing_list", params);
    return res;
}
// 获取查询商品列表
export async function getFindGoodsList(params) {
    const res = await axios.post("/api/v1/get_find_goods_list", params);
    return res;
}
// 获取添加活动列表
export async function getAddMarketingList(params) {
    const res = await axios.post("/api/v1/get_addmarketing_list", params);
    return res;
}
// 获取查看列表
export async function getMarketingInfo(marketing_id) {
    const res = await axios.post("/api/v1/get_marketing_info", marketing_id);
    return res;
}
// 获取开启关闭
export async function updateMarketingList(params) {
    const res = await axios.post("/api/v1/update_marketing_list", params);
    return res;
}

// 商家列表
export async function otaList(params) {
    const res = await axios.post("/api/v1/otaList", params);
    return res;
}

// 商家列表-add
export async function addOta(params) {
    const res = await axios.post("/api/v1/addOta", params);
    return res;
}

// 商家列表-禁用
export async function deleteOta(params) {
    const res = await axios.post("/api/v1/deleteOta", params);
    return res;
}
// 商家列表-修改
export async function updateOta(params) {
    const res = await axios.post("/api/v1/updateOta", params);
    return res;
}
// 商家列表-取消禁用
export async function undeleteOta(params) {
    const res = await axios.post("/api/v1/undeleteOta", params);
    return res;
}
// 团长列表
export async function ColoneList(params) {
    const res = await axios.post("/api/v1/coloneList", params);
    return res;
}

// 团长申请列表
export async function ColoneApplyList(params) {
    const res = await axios.post("/api/v1/coloneApplyList", params);
    return res;
}

// 团长申请操作
export async function colonelAudit(params) {
    const res = await axios.post("/api/v1/colonelAudit", params);
    return res;
}

// 团长自提点信息
export async function colonelApplyPoint(params) {
    const res = await axios.post("/api/v1/colonelApplyPoint", params);
    return res;
}

// 团长添加自提点
export async function colonelAddApplyPoint(params) {
    const res = await axios.post("/api/v1/colonelAddApplyPoint", params);
    return res;
}

// 营销中心-活动列表
export async function yingxiaoList(params) {
    const res = await axios.post("/api/v1/yingxiaoList", params);
    return res;
}

// 营销中心-活动下线
export async function toogleYingxiaoOnlineStatus(params) {
    const res = await axios.post("/api/v1/toogleYingxiaoOnlineStatus", params);
    return res;
}

// 营销中心-充值
export async function addAmount(params) {
    const res = await axios.post("/api/v1/addAmount", params);
    return res;
}

// 营销中心-充值详情
export async function capitalPoolDetail(params) {
    const res = await axios.get("/api/v1/capitalPoolDetail", { params });
    return res;
}

// 营销中心-查看活动配置
export async function yingxiaoConfig(params) {
    const res = await axios.post("/api/v1/yingxiaoConfig", params);
    return res;
}

// 营销中心-修改活动配置
export async function yingxiaoSaveConfig(params) {
    const res = await axios.post("/api/v1/yingxiaoSaveConfig", params);
    return res;
}
